"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("./../testing");
const echo_1 = require("./echo/echo");
const group_1 = require("./group/group");
beforeEach(() => {
    testing_1.Testing.reset();
    jest.resetModules();
});
test('element.ignoreError', async () => {
    const echo = testing_1.Testing.newElement(echo_1.Echo);
    await echo.init({
        ignoreError: true,
        content: '${abc}'
    });
    await echo.exec();
    expect(echo.error.message).toBeDefined();
});
test('element id', async () => {
    const echo = testing_1.Testing.newElement(echo_1.Echo);
    await echo.init({
        id: 'echo1',
        content: 'Echo 1'
    });
    await echo.exec();
    const echo1 = testing_1.Testing.rootScene.getElementByID('echo1');
    expect(echo).toBe(echo1);
});
test('get parent in loop', async () => {
    const group = testing_1.Testing.newElement(group_1.Group);
    await group.init([
        {
            group: {
                loop: '${[1,2]}',
                runs: [
                    {
                        echo: {
                            content: '${this.parent.loopValue}'
                        }
                    }
                ]
            }
        }
    ]);
    const rs = await group.exec();
    expect(rs).toHaveLength(2);
    expect(rs[0].result[0].result).toBe(1);
    expect(rs[1].result[0].result).toBe(2);
});
//# sourceMappingURL=element-builder.spec.js.map